Get a sub-source of a lead source Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/lead-sources/{lead_source_uuid}/sub-sources/{uuid}

Path parameters

  • lead_source_uuid string Required
  • uuid string Required

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • name string
    • description string
    • position integer
    • archived boolean
    • lead_source object
      Hide lead_source attributes Show lead_source attributes object
      • uuid string
      • name string
      • description string
      • position integer
      • archived boolean
      • sub_sources object
        Hide sub_sources attributes Show sub_sources attributes object
        • uuid

          The UUID of the resource.

        • name

          The name of the lead sub-source.

        • description

          An optional description of the lead sub-source.

        • position

          The position of the sub-source within its lead source's list.

        • archived

          Whether the sub-source is archived and hidden from selection.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

      • created_at string
      • updated_at string
    • created_at string
    • updated_at string
GET /api/v1/lead-sources/{lead_source_uuid}/sub-sources/{uuid}
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/lead-sources/6ff8f7f6-1eb3-3525-be4a-3932c805afed/sub-sources/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "uuid": "3c07acb8-38d8-4af2-ad83-315951807e0f",
  "name": "Google",
  "description": "Paid search on Google",
  "position": 1,
  "archived": false,
  "lead_source": {
    "uuid": "91fa91cd-9708-4ac3-ae0a-269c9f2f04d9",
    "name": "Website",
    "description": "Enquiries via the contact page",
    "position": 1,
    "archived": false,
    "sub_sources": {
      "uuid": "1835c066-ea8c-4363-95e8-95cd412cb9a5",
      "name": "Google",
      "description": "Paid search on Google",
      "position": 1,
      "archived": false,
      "created_at": "2026-10-30T16:30:12+00:00",
      "updated_at": "2026-10-30T16:30:12+00:00"
    },
    "created_at": "2026-10-30T16:30:04+00:00",
    "updated_at": "2026-10-30T16:30:04+00:00"
  },
  "created_at": "2026-10-30T16:30:04+00:00",
  "updated_at": "2026-10-30T16:30:04+00:00"
}